zeroday.info

Vulnerability Bulletin
Home    Find by year

Vulnerabilities in 2011


January 03, 2011

Resource management vulnerability in Linux Kernel 2.6.22.7

The X.25 implementation in the Linux kernel before 2.6.36.2 does not properly parse facilities, which allows remote attackers to cause a denial of service (heap memory corruption and panic) or possibly have unspecified other impact via malformed (1) X25_FAC_CALLING_AE or (2) X25_FAC_CALLED_AE data, related to net/x25/x25_facilities.c and net/x25/x25_in.c, a different vulnerability than CVE-2010-4164.
Reference    Comments


January 03, 2011

Numeric errors vulnerability in Linux Kernel 2.6.22.7

Multiple integer overflows in fs/bio.c in the Linux kernel before 2.6.36.2 allow local users to cause a denial of service (system crash) via a crafted device ioctl to a SCSI device.
Reference    Comments


January 03, 2011

Resource management vulnerability in Linux Kernel 2.6.22.7

The blk_rq_map_user_iov function in block/blk-map.c in the Linux kernel before 2.6.36.2 allows local users to cause a denial of service (panic) via a zero-length I/O request in a device ioctl to a SCSI device.
Reference    Comments


January 03, 2011

Numeric errors vulnerability in Linux Kernel 2.6.22.7

Multiple integer underflows in the x25_parse_facilities function in net/x25/x25_facilities.c in the Linux kernel before 2.6.36.2 allow remote attackers to cause a denial of service (system crash) via malformed X.25 (1) X25_FAC_CLASS_A, (2) X25_FAC_CLASS_B, (3) X25_FAC_CLASS_C, or (4) X25_FAC_CLASS_D facility data, a different vulnerability than CVE-2010-3873.
Reference    Comments


January 03, 2011

Permissions, privileges, and access control vulnerability in Linux Kernel 2.6.31 Release Candidate 5

drivers/platform/x86/thinkpad_acpi.c in the Linux kernel before 2.6.34 on ThinkPad devices, when the X.Org X server is used, does not properly restrict access to the video output control state, which allows local users to cause a denial of service (system hang) via a (1) read or (2) write operation.
Reference    Comments


January 03, 2011

Information leak/disclosure vulnerability in Linux Kernel 2.6.31 Release Candidate 5

The ax25_getname function in net/ax25/af_ax25.c in the Linux kernel before 2.6.37-rc2 does not initialize a certain structure, which allows local users to obtain potentially sensitive information from kernel stack memory by reading a copy of this structure.
Reference    Comments


January 03, 2011

Information leak/disclosure vulnerability in Linux Kernel 2.6.31 Release Candidate 5

net/packet/af_packet.c in the Linux kernel before 2.6.37-rc2 does not properly initialize certain structure members, which allows local users to obtain potentially sensitive information from kernel stack memory by leveraging the CAP_NET_RAW capability to read copies of the applicable structures.
Reference    Comments


January 03, 2011

Information leak/disclosure vulnerability in Linux Kernel 2.6.31 Release Candidate 5

The get_name function in net/tipc/socket.c in the Linux kernel before 2.6.37-rc2 does not initialize a certain structure, which allows local users to obtain potentially sensitive information from kernel stack memory by reading a copy of this structure.
Reference    Comments


January 03, 2011

Resource management vulnerability in Linux Kernel 2.6.31 Release Candidate 5

The blk_rq_map_user_iov function in block/blk-map.c in the Linux kernel before 2.6.37-rc7 allows local users to cause a denial of service (panic) via a zero-length I/O request in a device ioctl to a SCSI device, related to an unaligned map. NOTE: this vulnerability exists because of an incomplete fix for CVE-2010-4163.
Reference    Comments


January 03, 2011

Cross-site scripting (XSS) vulnerability in MantisBT 0.19.2

Cross-site scripting (XSS) vulnerability in admin/upgrade_unattended.php in MantisBT before 1.2.4 allows remote attackers to inject arbitrary web script or HTML via the db_type parameter, related to an unsafe call by MantisBT to a function in the ADOdb Library for PHP.
Reference    Comments


January 03, 2011

Information leak/disclosure vulnerability in MantisBT 0.19.2

admin/upgrade_unattended.php in MantisBT before 1.2.4 allows remote attackers to obtain sensitive information via an invalid db_type parameter, which reveals the installation path in an error message, related to an unsafe call by MantisBT to a function in the ADOdb Library for PHP.
Reference    Comments


January 03, 2011

Path traversal vulnerability in MantisBT 0.19.2

Directory traversal vulnerability in admin/upgrade_unattended.php in MantisBT before 1.2.4 allows remote attackers to include and execute arbitrary local files via a .. (dot dot) in the db_type parameter, related to an unsafe call by MantisBT to a function in the ADOdb Library for PHP.
Reference    Comments


January 03, 2011

Numeric errors vulnerability in VideoLAN VLC Media Player 0.2.0

Multiple integer overflows in real.c in the Real demuxer plugin in VideoLAN VLC Media Player before 1.1.6 allow remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a zero i_subpackets value in a Real Media file, leading to a heap-based buffer overflow.
Reference    Comments


January 03, 2011

Cross-site scripting (XSS) vulnerability in WordPress 1.2

Multiple cross-site scripting (XSS) vulnerabilities in KSES, as used in WordPress before 3.0.4, allow remote attackers to inject arbitrary web script or HTML via vectors related to (1) the & (ampersand) character, (2) the case of an attribute name, (3) a padded entity, and (4) an entity that is not in normalized form.
Reference    Comments


January 07, 2011

Resource management vulnerability in Apache Software Foundation Subversion Milestone 2

The walk function in repos.c in the mod_dav_svn module for the Apache HTTP Server, as distributed in Apache Subversion before 1.6.15, allows remote authenticated users to cause a denial of service (NULL pointer dereference and daemon crash) via vectors that trigger the walking of SVNParentPath collections.
Reference    Comments


January 07, 2011

Resource management vulnerability in Apache Software Foundation Subversion Milestone 2

Multiple memory leaks in rev_hunt.c in Apache Subversion before 1.6.15 allow remote authenticated users to cause a denial of service (memory consumption and daemon crash) via the -g option to the blame command.
Reference    Comments


January 07, 2011

Resource management vulnerability in Cisco Adaptive Security Appliance (ASA) Software 7.0(6.7)

Cisco Adaptive Security Appliances (ASA) 5500 series devices with software before 8.2(3) allow remote attackers to cause a denial of service (ASDM syslog outage) via a long URL, aka Bug IDs CSCsm11264 and CSCtb92911.
Reference    Comments


January 07, 2011

Resource management vulnerability in Cisco Adaptive Security Appliance (ASA) Software 7.0(6.7)

The Neighbor Discovery (ND) protocol implementation in the IPv6 stack on Cisco Adaptive Security Appliances (ASA) 5500 series devices with software 8.2(3) and earlier, and Cisco PIX Security Appliances devices, allows remote attackers to cause a denial of service (CPU consumption and device hang) by sending many Router Advertisement (RA) messages with different source addresses, as demonstrated by the flood_router6 program in the thc-ipv6 package, aka Bug ID CSCti24526.
Reference    Comments


January 07, 2011

Resource management vulnerability in Cisco Adaptive Security Appliance (ASA) Software 7.0(6.7)

Cisco Adaptive Security Appliances (ASA) 5500 series devices with software 8.2(3) and earlier allow remote attackers to cause a denial of service (block exhaustion) via EIGRP traffic that triggers an EIGRP multicast storm, aka Bug ID CSCtf20269.
Reference    Comments


January 07, 2011

Resource management vulnerability in Cisco Adaptive Security Appliance (ASA) Software 7.0(6.7)

Cisco Adaptive Security Appliances (ASA) 5500 series devices with software 8.2(4) and earlier allow remote attackers to cause a denial of service via a flood of packets, aka Bug ID CSCtg06316.
Reference    Comments

Privacy Policy    Glossary